<?php
if(!defined('IN_DEMOSOSO')) {
	exit('this is wrong page,please back to homepage');
}
?>
 <?php
 if($sidebarlayout=='left') $cntclass='fr cntwidth';
  elseif($sidebarlayout=='right')  $cntclass='fl cntwidth';
  else $cntclass = 'cntper perwidth';
  ?>
<div  class="content <?php echo $cntclass?>"> 
<?php
   	if($modtype<>'search')  {
		 	echo '<div class="content_header">';
		 	if($breadposi=='r')    require  BLOCKROOT.'tpl/bread.php'; 	 
		 	  echo '<h3><a href="'.$cururllink.'">'.strip_tags($curpagetitle).'</a></h3>';
			 echo '</div>';  
  	 	}
	?>

 <?php
    bujublock($contenttop,'c contenttop');
    ?>

 
<div class="c content_default">
	<?php
	 if($content<>'') block($content);	 
	 else { 
	 	if($modtype=='search')  {
	 		block('prog_search');
	 	}else{
	 	 if($modtype=='page') $reqfile =   SYSBLOCKROOT.'detail_page.php';
	 	 if($modtype=='category')   $reqfile =  tplhookfile('content_category.php');
	 	  if($modtype=='single')   {
	 	  	 if(substr($detailfg,0,5)=='self_') $reqfile =    TPLCURROOT.'selfblock/catedetail/'.$detailfg;
          		 else  $reqfile = SYSBLOCKROOT.'catedetail/'.$detailfg;
          		}
	 	  if($modtype=='tag')    $reqfile = SYSBLOCKROOT.'tag/vv_tag.php';
	 	   
	 	   if(checkfile($reqfile)) require $reqfile;
 
	 	  }	
	 } 
	?>
</div>
	
 <?php
    bujublock($contentbot,'c contentbot');
    ?>
 </div>   